using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Text;
using System.Windows.Forms;
using MindFusion.Scheduling;
using MindFusion.Scheduling.WinForms;

namespace WindowsApplication77
{
	public partial class Form1 : Form
	{
		public Form1()
		{
			InitializeComponent();

			calendar1.InteractiveItemType = typeof(MyItem);
			calendar1.ItemSettings.ShadowStyle = ShadowStyle.None;

			calendar1.ItemCreated += new EventHandler<ItemEventArgs>(
				delegate(object sender, ItemEventArgs e)
				{
					e.Item.DescriptionText = "This is a description.";
				});
		}
	}

	class MyItemViewer : IItemViewer
	{
		public MyItemViewer()
		{
		}

		public void Draw(ItemDrawContext context)
		{
			Rectangle bounds = context.Bounds;
			if (bounds.Height > 50)
				bounds.Height = 50;

			using (Brush brush = context.Style.Brush.CreateGdiBrush(bounds))
				context.Graphics.FillRectangle(brush, bounds);
			context.DrawBorder(bounds);

			Rectangle headerBounds = bounds;
			headerBounds.Height = context.Calendar.ItemSettings.HeaderSize;
			context.DrawHeaderText(ref headerBounds, true, false);

			Rectangle contentsBounds = bounds;
			contentsBounds.Y += context.Calendar.ItemSettings.HeaderSize;
			contentsBounds.Height += context.Calendar.ItemSettings.HeaderSize;

			context.DrawContentsText(ref contentsBounds, true, false);
		}

	}

	[ItemViewer(typeof(MyItemViewer))]
	class MyItem : Appointment
	{
	}
}